% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
clear
%close all

%pchk = 'SplitParity.pchk';
%pchk = 'ExtTriang0.pchk';
%pchk = 'peg20_dc4_max19_1504.pchk';
%pchk = 'peg20.pchk';
%pchk = 'm20.pchk';
%pchk = '../../ldpc/codes/mitsu_1504.pchk';
pchk='Urb50_max20_1e4.pchk';
%pchk='/Users/jacobsen/rc/LDPC-2006-02-08/ex-ldpcvar-5000a.pchk';
H = import_pchk(pchk);
[M,N] = size(H);

XX = zeros(1,sum(sum(H)));
YY = zeros(1,sum(sum(H)));

index = 1;
for m = 1:M
  for n = 1:N
    if H(m,n)
      XX(index) = n;
      YY(index) = M-m+1;
      index = index + 1;
    end
  end
end

figure
plot(XX,YY,'k.')
axis([1 N 1 M])

int_v = hist(sum(H,1),[1:100]);
dv = find(int_v>0);
int_v = int_v(dv);
pv_n = int_v/sum(int_v);
pv = int_v.*dv/sum(int_v.*dv);

int_c = hist(sum(H,2),[1:100]);
dc = find(int_c>0);
int_c = int_c(dc);
pc_n = int_c/sum(int_c);
pc = int_c.*dc/sum(int_c.*dc);