% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
function [B_in] = get_chk_fn(dc,B_out)
  load J;

  for d = 1:length(dc)

    ss = interp1(J1,s1,1-B_out);
    ss = ss/(dc(d)-1);
    
    jj = 1-interp1(s1,J1,ss);    
    B_in(d,:) = jj;
  end
  