% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
clear
close all

XX = []; YY = [];
save testrc XX YY

filename = '../codes/Profiles/peg20.deg';
EPS = 1e-6;

R = [1/5];
dv = [1:30];

dc = [5 6];
pc_n = [.8 .2];

p1_n = .2;
x_max = .6;
xx = [0:.001:x_max];

tol = [.015];
[dv,pv,dc,pc] = match_var0(R,dv,dc,pc_n,p1_n,xx,tol,EPS,filename,1);

pv,dv