% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
function [Iout] = var(dv,Ich,Iin)
load J

s_ch = interp1(J1,s1,Ich);
s_in = interp1(J1,s1,Iin);
 
s0 = s_ch + (dv-1)*s_in; 

Iout = interp1(s1,J1,s0);
Iout(find(s0>s1(end)-1e-5)) = 1;
  
%figure
%plot(Iin,Iout,'k.-')
%axis([0 1 0 1])
