
code_rates = [0.6400    0.3200    0.2133    0.1600    0.1280];

cap_EsN0_dB = 10*log10( I2snr( code_rates));
cap_EbN0_dB = cap_EsN0_dB - 10*log10( code_rates); 

pred_EbN0_dB = cap_EbN0_dB + 1
pred_EsN0_dB = cap_EsN0_dB + 1;

ach_EbN0_dB = [ 1.67  0.46  0.2  0.3  0.3];
ach_EsN0_dB = [ 1.67  0.46  0.2  0.3  0.3] + 10*log10( code_rates);

figure
plot(cap_EsN0_dB,code_rates,'k-',pred_EsN0_dB,code_rates,'r--', ...
     ach_EsN0_dB,code_rates,'bo')
legend('BPSK Capacity','Predicted ach. rate','LDPC ach. rate')
xlabel('SNR (dB)')
ylabel('Bits per symbol')
grid on
