clear
%close all

pchk = 'pf9_2.pchk';

H = import_pchk(pchk);
[M,N] = size(H);

XX = zeros(1,sum(sum(H)));
YY = zeros(1,sum(sum(H)));

index = 1;
for m = 1:M
  for n = 1:N
    if H(m,n)
      XX(index) = n;
      YY(index) = M-m+1;
      index = index + 1;
    end
  end
end

figure
plot(XX,YY,'k.')
axis([1 N 1 M])

int_v = hist(sum(H,1),[1:100]);
dv = find(int_v>0);
int_v = int_v(dv);
pv_n = int_v/sum(int_v);
pv = int_v.*dv/sum(int_v.*dv);

int_c = hist(sum(H,2),[1:100]);
dc = find(int_c>0);
int_c = int_c(dc);
pc_n = int_c/sum(int_c);
pc = int_c.*dc/sum(int_c.*dc);