% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
clear
close all

filename = '../codes/Profiles/peg20.deg';
xx = [0:.001:1];
EPS = 1e-6;

XX = []; YY = [];
save testrc XX YY

R = 1/5;
dv_max = 50;

%dc = [4 5];
%pc_n = [.8 .2];

dc = [3 4];
pc_n = [.4 .6];

dc_ave = dc*pc_n'

tol = .0085;
p1_n = .028;

dv1 = [1:dv_max];
[dv,pv,dc,pc]=match_var0(R,dv1,dc,pc_n,xx,tol,EPS,filename,1,p1_n);

load testrc
figure
plot(XX,YY)
axis([0 dv_max+1 0 1.0001])