% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
load J
R0 = 4/5;
s0 = interp1(J,s,R0);
s0 = 10*log10(s0/R0);

R1 = 2/3;
s1 = interp1(J,s,R1);
s1 = 10*log10(s1/R1);

R2 = 1/2;
s2 = interp1(J,s,R2);
s2 = 10*log10(s2/R2);

R3 = 1/3;
s3 = interp1(J,s,R3);
s3 = 10*log10(s3/R3);

YY=[1e-3 1];
semilogy([s0 s0],YY,'k:',[s1 s1],YY,'k:',[s2 s2],YY,'k:',[s3 s3],YY,'k:')
