% Copyright 2007 Noah B. Jacobsen.
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% Lesser General Public License for more details.
% 
% You should have received a copy of the GNU Lesser General Public
% License along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
dmax = 60;

f = zeros(1,dmax+1);
for n = 1:length(dv)
  f(dv(n)+1) = pv_n(n);
end

F = cumsum(f);
[X0,Y0] = stairs([0:dmax],F);

load testrc

if length(XX)>0
  f = 1-R/R0;
  YY = f + (1-f)*YY;
end
  
XX=[XX,X0];
YY=[YY,Y0];

save testrc XX YY