/* Copyright 2007 Noah B. Jacobsen.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/******************************************************************************/
/* *******Includes code from:*********                                        */
/* Copyright (c) 2000, 2001 by Radford M. Neal                                */
/*                                                                            */
/* Permission is granted for anyone to copy, use, modify, or distribute this  */
/* program and accompanying programs and documents for any purpose, provided  */
/* this copyright notice is retained and prominently displayed, along with    */
/* a note saying that the original programs are available from Radford Neal's */
/* web page, and note is made of any changes made to the programs.            */
/******************************************************************************/
extern mod2sparse *H;	/* Parity check matrix for code harqNum starting with 0 for base-code */
extern int harqNum;         /* Number of H-ARQ transmission */

extern int M;		/* Number of rows in base parity check matrix */
extern int N;		/* Number of columns in base parity check matrix */

extern int *cols;	/* Ordering of columns in base generator matrix */
extern int *rows;	/* Ordering of rows in base generator matrix */

extern mod2dense **G;	/* Recursive H-ARQ generator matrices starting with base-code generator */
extern int numCodes;

extern int *codeLength;

/* PROCEDURES FOR READING DATA. */

void read_pchk (char *);
void read_gen  (char *);
