/************************************************************************/
/*                                                                      */
/*        Free software: Progressive edge-growth (PEG) algorithm        */
/*        Created by Xiaoyu Hu                                          */
/*                   Evangelos Eletheriou                               */
/*                   Dieter Arnold                                      */
/*        IBM Research, Zurich Research Lab., Switzerland               */
/*                                                                      */
/*        The C++ sources files have been compiled using xlC compiler   */
/*        at IBM RS/6000 running AIX. For other compilers and platforms,*/
/*        minor changes might be needed.                                */
/*                                                                      */
/*        Bug reporting to: xhu@zurich.ibm.com                          */
/**********************************************************************/

#ifndef RANDOM
#define RANDOM

#include <stdlib.h>
#include <iostream.h>

class Random{
 private:

  unsigned long int seed;  //previously LONG INT
  unsigned long int seed_u;
  
 public:

  Random(void) {
    (*this).seed=987654321u;
    (*this).seed_u=123456789lu;
  }
  ~Random(void){;}
  void bubbleSort(int a[], int size);
  double gauss(double sdev, double mean);
  double uniform(double a, double b);
  int uniform(int  a, int b); // [a, b)
  int nonUniform(int  a, int b);

}; 

#endif
